# Versions in WordPress

With each major release of WordPress a new version of Gutenberg is included. This has caused confusion over time as people have tried to figure out how to best debug problems and report bugs appropriately. To make this easier we have made this document to serve as a canonical list of the Gutenberg versions integrated into each major WordPress release. Of note, during the beta period of a WordPress release, additional bug fixes from later Gutenberg releases than those noted are added into the WordPress release where it is needed. If you want details about what's in each Gutenberg release outside of the high level items shared as part of major WordPress releases, please review the [release notes shared on Make Core](https://make.wordpress.org/core/tag/gutenberg-new/).

If anything looks incorrect here, please bring it up in #core-editor in [WordPress.org slack](https://make.wordpress.org/chat/).

| Gutenberg Versions | WordPress Version |
| ------------------ | ----------------- |
| 12.0-13.0          | 6.0               |
| 10.8-11.9          | 5.9.3             |
| 10.8-11.9          | 5.9.2             |
| 10.8-11.9          | 5.9.1             |
| 10.8-11.9          | 5.9               |
| 10.0-10.7          | 5.8.3             |
| 10.0-10.7          | 5.8.2             |
| 10.0-10.7          | 5.8.1             |
| 10.0-10.7          | 5.8               |
| 9.3-9.9            | 5.7.1             |
| 9.3-9.9            | 5.7               |
| 8.6-9.2            | 5.6.1             |
| 8.6-9.2            | 5.6               |
| 7.6-8.5            | 5.5.3             |
| 7.6-8.5            | 5.5.2             |
| 7.6-8.5            | 5.5.1             |
| 7.6-8.5            | 5.5               |
| 6.6-7.5            | 5.4.2             |
| 6.6-7.5            | 5.4.0             |
| 5.5-6.5            | 5.3.4             |
| 5.5-6.5            | 5.3.3             |
| 5.5-6.5            | 5.3.2             |
| 5.5-6.5            | 5.3.1             |
| 5.5-6.5            | 5.3.0             |
| 4.9-5.4            | 5.2.7             |
| 4.9-5.4            | 5.2.6             |
| 4.9-5.4            | 5.2.5             |
| 4.9-5.4            | 5.2.4             |
| 4.9-5.4            | 5.2.3             |
| 4.9-5.4            | 5.2.2             |
| 4.9-5.4            | 5.2.1             |
| 4.9-5.4            | 5.2.0             |
| 4.8                | 5.1.6             |
| 4.8                | 5.1.5             |
| 4.8                | 5.1.4             |
| 4.8                | 5.1.3             |
| 4.8                | 5.1.2             |
| 4.8                | 5.1.1             |
| 4.8                | 5.1.0             |
| 4.7.1              | 5.0.10            |
| 4.7.1              | 5.0.9             |
| 4.7.1              | 5.0.8             |
| 4.7.1              | 5.0.7             |
| 4.7.1              | 5.0.6             |
| 4.7.1              | 5.0.5             |
| 4.7.1              | 5.0.4             |
| 4.7.1              | 5.0.3             |
| 4.7.0              | 5.0.2             |
| 4.6.1              | 5.0.1             |
| 4.6.1              | 5.0.0             |
