# Getting Started with JavaScript

The purpose of this tutorial is to step through getting started with JavaScript and WordPress, specifically around the new block editor. The Block Editor Handbook contains information on the APIs available for working with this new setup. The goal of this tutorial is to get you comfortable on how to use the API reference and snippets of code found within.

### What is JavaScript

JavaScript is a programming language which is loaded and executed in your web browser; compared to PHP which is run by a web server with the results sent to the browser, typically as HTML.

The block editor introduced in WordPress 5.0 is written in JavaScript, with the code run in the browser, and not on the server, this allows for a richer and more dynamic user experience. It also requires you to learn how to use JavaScript to extend and enhance the block editor.

### Table of Contents

1. [Plugins Background](/docs/how-to-guides/javascript/plugins-background.md)
2. [Loading JavaScript](/docs/how-to-guides/javascript/loading-javascript.md)
3. [Extending the Block Editor](/docs/how-to-guides/javascript/extending-the-block-editor.md)
4. [Troubleshooting](/docs/how-to-guides/javascript/troubleshooting.md)
5. [JavaScript Versions and Building](/docs/how-to-guides/javascript/versions-and-building.md)
6. [Scope your code](/docs/how-to-guides/javascript/scope-your-code.md)
7. [JavaScript Build Step](/docs/how-to-guides/javascript/js-build-setup.md)
8. [ESNext Syntax](/docs/how-to-guides/javascript/esnext-js.md)
